from pydantic_settings import BaseSettings, SettingsConfigDict


class Config(BaseSettings):
    model_config = SettingsConfigDict(env_file=".env")

    ffmpeg: str
    ffmpeg_params: str
    workdir: str
    sourcedir: str
    outputdir: str


cfg = Config()


def get_config() -> Config:
    return Config()
