import subprocess


def generate_command(ffmpeg: str, params: str, source_file: str, output_file: str):
    command = [ffmpeg, "-i", source_file]
    command.extend(params.split())
    command.append(output_file)
    return command


def transcode(command) -> None:
    print(command)
    subprocess.run(command, check=True)


def ffmpeg(ffmpeg: str, params: str, source_file: str, output_file: str) -> None:
    transcode(
        command=generate_command(
            ffmpeg=ffmpeg,
            params=params,
            source_file=source_file,
            output_file=output_file,
        )
    )
